Skip to content

Payment inquiry

  • Endpoint: POST /v2/delSuffixStart11
  • Tags: Disbursement

Description

This interface is the API payment query interface. Please pay attention to the following matters when returning parameters of this interface, otherwise there may be a risk of capital loss:

  1. When "bizCode": "0000" and status is returned, it means the query is successful. Please refer to status for order status;
  2. When "bizCode": "4000" and "message": "The queried transaction does not exist", the same result is returned after multiple queries at intervals (5 minutes). You can place an order again without changing the orderId;
  3. In other scenarios, please check the parameters and request again;

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
bizTypestringYesmaxLength: 32Business type. Value “paymentTransQry” needs to be passed here.
merchantIdstringYesmaxLength: 32Merchant ID assigned by PayerMax
orderIdstringNomaxLength: 63Merchant order ID,Set at least one of the Merchant order ID and the PayerMax platform order number (tradeNo). Merchant order ID is given priority as the query condition.
tradeNostringNomaxLength: 64PayerMax platform order number,Set at least one of the Merchant order ID (orderId) and the PayerMax platform order number. Merchant order ID is given priority as the query condition.
versionstringNomaxLength: 5API version, currently always as “2.0”.

Example

json
{
  "bizType": "paymentTransQry",
  "merchantId": "SP12345678",
  "orderId": "WD12324345346",
  "tradeNo": "20230428081551DO1234524600475529002",
  "version": "2.0"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 6Response code, which indicates only whether the request is accepted. For disbursement result, please check the field “status” from callback or query API.
messagestringYesmaxLength: 256Response message.
dataobjectYesResponse data.
data.debitstringYesmaxLength: 512Payer information(Merchant)
data.destinationstringYesmaxLength: 512Payee information(user)
data.sourcestringYesmaxLength: 512Trade information
data.orderIdstringNomaxLength: 63Merchant order ID.
data.passBackParamsstringNomaxLength: 512A pass-through parameter, returned as-is in the notification callback
data.payFinishTimenumberNoThe time when the order succeeds or fails, only exists when the order reaches its final state.
data.bounceBackTime numberNoThe time when the order bounced back(only appears in bounceback state)
data.redeemCodestringNomaxLength: 321. FAWRY withdrawal code, 2. Carrier recharge PIN code
data.expiryTimenumberNoThe lastest time the order can be withdrawn(appears only offline)
data.responseCodestringNomaxLength: 32Business response code
data.responseMsgstringNomaxLength: 256Business response message.
data.statusnumberYesDisbursement status: 1- success, 2-failure,3-pending,4-bounceback
data.subStatusstringNoTransaction sub-status. When the transaction status of an order is PENDING,PayerMax provides sub-statuses to display the transaction processing progress. For specific enumeration values, please refer to:【Transaction Sub-Status Introduction】. If not returned, please contact technical support for an upgrade.
data.tradeNostringNoPayerMax platform order number.
data.transactionUtcTimenumberYesTransaction UTC time.
data.fundsFreezeTimestringNoFund transfer time, comply with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss Z, the callback version needs to be upgraded to 3.0 to have this field. If necessary, you can contact PayerMax technical support for adjustment.
data.fundsReturnTimestringNoFund return time, comply with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss Z, the callback version needs to be upgraded to 3.0 to have this field. If necessary, you can contact PayerMax technical support for adjustment.
data.additionalIdentifierstringNoAdditional transaction information, this field will be returned only after the withdrawal callback is upgraded to version 4.0 or above. If necessary, you can contact PayerMax technical support for adjustments.

Response Example: 1

成功示例

json
{
  "bizCode": "0000",
  "data": {
    "debit": "{\"amount\":\"14551.00\",\"currency\":\"IDR\",\"exchangeRate\":\"14551.3328650147\",\"fee\":\"0.00\",\"feeCurrency\":\"USD\",\"tax\":\"0.00\",\"taxCurrency\":\"USD\"}",
    "destination": "{\"amount\":\"14551.00\",\"currency\":\"IDR\",\"exchangeRate\":\"14551.3328650147\",\"fee\":\"0.00\",\"feeCurrency\":\"IDR\",\"tax\":\"0.00\",\"taxCurrency\":\"IDR\"}",
    "fundsFreezeTime": "2024-04-17T06:35:09 +0000",
    "fundsReturnTime": "2024-04-18T07:13:01 +0000",
    "orderId": "dev_1639483955",
    "passBackParams": "this is passBackParams",
    "payFinishTime": 1639483970000,
    "source": "{\"amount\":\"1.00\",\"currency\":\"USD\"}",
    "status": 1,
    "tradeNo": "WD20211214121226853360448",
    "transactionUtcTime": 1639483946000,
    "additionalIdentifier": "{\"referenceId\":\"2024041710121481030100166528590615003\"}"
  },
  "message": "success"
}

Response Example: 2

异常示例

json
{
  "msg": "System is busy, please try again later.",
  "code": "SYSTEM_ERROR"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.